Latest HAVP (havp-0.91_1) cannot start (Core dumps)



  • Hi all,

    I am running pfSense 1.2.3. I was all excited this morning to see HAVP had been updated. I uninstalled the old package, rebooted, and installed the new version (havp-0.91_1), which I cannot get to run. When I attempt to start it, I get this error in the system log:

    kernel: pid 22147 (havp), uid 0: exited on signal 6 (core dumped)

    I have uninstalled from the Web GUI, and also ran the following commands:

    pkg_delete havp-0.91_1
    pkg_delete clamav-0.96.1
    rm -rf /var/db/clamav
    rm -rf /var/run/clamav
    rm -rf /var/log/clamav
    pw userdel clamav
    rm -rf /var/log/havp
    rm -rf /var/run/havp
    rm -rf /var/tmp/havp
    pw userdel havp

    I am not a *NIX guy, so this is pretty much the depth of my troubleshooting ability… can someone please advise how I can get HAVP to work?

    Thanks!



  • Does Havp show scanner(waiting)…I had to remove clamd and then re-installed the pkg...that worked for me.



  • Thank you for the tip. I tried forcing the removal of clamav, but it would not reinstall, so I ended up trying to add the package from the command line. Even though I choose the .91, I got .90 back, and it runs again. Hopefully this bug can be fixed for the next release…



  • no such luck here, we had to take pfsense offline as the gw for end users.

    heres all relevant info; hopefully help diagnose and fix this:

    freshclam

    ClamAV update process started at Tue Aug 17 10:38:00 2010
    Downloading main.cvd [100%]
    main.cvd updated (version: 52, sigs: 704727, f-level: 44, builder: sven)
    Downloading daily.cvd [100%]
    daily.cvd updated (version: 11572, sigs: 110551, f-level: 53, builder: arnaud)
    Downloading safebrowsing.cvd [100%]
    safebrowsing.cvd updated (version: 23090, sigs: 513409, f-level: 53, builder: google)
    bytecode.cvd is up to date (version: 38, sigs: 8, f-level: 53, builder: edwin)
    Database updated (1328695 signatures) from clamav.mirror.rafal.ca (IP: 24.215.0.24)
    cannot create /tmp/havpupd.status: Permission denied

    uname -a

    FreeBSD pfsense.puretrackscorp.com 7.2-RELEASE-p5 FreeBSD 7.2-RELEASE-p5 #0: Sun Dec  6 23:20:31 EST 2009    sullrich@FreeBSD_7.2_pfSense_1.2.3_snaps.pfsense.org:/usr/obj.pfSense/usr/pfSensesrc/src/sys/pfSense_SMP.7  i386

    pkg_info

    arc-5.21o_1        Create & extract files from DOS .ARC files
    arj-3.10.22_1      Open-source ARJ
    arj-3.10.22_3      Open-source ARJ
    clamav-0.96.1      Command line virus scanner written entirely in C
    cyrus-sasl-2.1.23  RFC 2222 SASL (Simple Authentication and Security Layer)
    db41-4.1.25_4      The Berkeley DB package, revision 4.1
    gettext-0.17_1      GNU gettext package
    grub-0.97_3        GRand Unified Bootloader
    havp-0.91_1        HTTP Antivirus Proxy
    lha-1.14i_6        Archive files using LZSS and Huffman compression (.lzh file
    libgmp-4.2.2        A free library for arbitrary precision arithmetic
    libiconv-1.11_1    A character set conversion library
    mysql-client-5.1.44_1 Multithreaded SQL database (client)
    nano-2.0.9          Nano's ANOther editor, an enhanced free Pico clone
    net-snmp-5.4.2.1_3  An extendable SNMP implementation
    openldap-client-2.4.10 Open source LDAP client implementation
    openldap-client-2.4.22 Open source LDAP client implementation
    packages            BSD Installer mega-package
    pcre-8.00          Perl Compatible Regular Expressions library
    pcre-8.02          Perl Compatible Regular Expressions library
    perl-5.10.1        Practical Extraction and Report Language
    perl-5.10.1_1      Practical Extraction and Report Language
    perl-5.8.8_1        Practical Extraction and Report Language
    python-2.5,2        The "meta-port" for the default version of Python interpret
    python24-2.4.5_3    An interpreted object-oriented programming language
    python25-2.5.4_1    An interpreted object-oriented programming language
    rate-0.9            A traffic analysis command-line utility
    snort-2.8.6_1      Lightweight network intrusion detection system
    unzoo-4.4_2        A zoo archive extractor



  • Same problem here… previous version worked perfectly, but 0.91_1 won't start (core dump). I uninstalled via the package manager, then removed clamav and havp manually with pkg_delete, then reinstalled... to no avail.

    # pkg_info
    arc-5.21o_1         Create & extract files from DOS .ARC files
    arj-3.10.22_1       Open-source ARJ
    arj-3.10.22_3       Open-source ARJ
    bandwidthd-2.0.1_1  Tracks bandwidth usage by IP address
    clamav-0.95.1       Command line virus scanner written entirely in C
    clamav-0.96.1       Command line virus scanner written entirely in C
    cyrus-sasl-2.1.22_1 RFC 2222 SASL (Simple Authentication and Security Layer)
    cyrus-sasl-2.1.23   RFC 2222 SASL (Simple Authentication and Security Layer)
    denyhosts-2.5       Script to thwart ssh attacks
    gd-2.0.35,1         A graphics library for fast creation of images
    havp-0.90           HTTP Antivirus Proxy
    havp-0.91_1         HTTP Antivirus Proxy
    jpeg-6b_4           IJG's jpeg compression utilities
    lha-1.14i_6         Archive files using LZSS and Huffman compression (.lzh file
    libiconv-1.11_1     A character set conversion library
    lightsquid-1.7.1_1  A light and fast web based squid proxy traffic analyser
    mysql-client-5.1.44_1 Multithreaded SQL database (client)
    openldap-client-2.4.10 Open source LDAP client implementation
    openldap-client-2.4.11 Open source LDAP client implementation
    openldap-client-2.4.22 Open source LDAP client implementation
    p5-GD-2.39          A perl5 interface to Gd Graphics Library version2
    pcre-7.9            Perl Compatible Regular Expressions library
    pcre-8.00           Perl Compatible Regular Expressions library
    pcre-8.02           Perl Compatible Regular Expressions library
    perl-5.10.1         Practical Extraction and Report Language
    perl-5.10.1_1       Practical Extraction and Report Language
    perl-5.8.8_1        Practical Extraction and Report Language
    perl-5.8.9_3        Practical Extraction and Report Language
    python24-2.4.3_3    An interpreted object-oriented programming language
    snort-2.8.6_1       Lightweight network intrusion detection system
    squid-2.7.9         HTTP Caching Proxy
    squid_radius_auth-1.10 RADIUS authenticator for squid proxy 2.5 and later
    stunnel-4.25        SSL encryption wrapper for standard network daemons
    unzoo-4.4_2         A zoo archive extractor
    
    


  • Same for me, following the HAVP 0.91.1 upgrade (0.91.0 works fine)

    pkg_info

    arc-5.21o_1        Create & extract files from DOS .ARC files
    arj-3.10.22_3      Open-source ARJ
    bandwidthd-2.0.1_1  Tracks bandwidth usage by IP address
    clamav-0.96.1      Command line virus scanner written entirely in C
    gd-2.0.35,1        A graphics library for fast creation of images
    havp-0.91_1        HTTP Antivirus Proxy
    jpeg-6b_4          IJG's jpeg compression utilities
    lha-1.14i_6        Archive files using LZSS and Huffman compression (.lzh file
    libiconv-1.11_1    A character set conversion library
    mysql-client-5.1.44_1 Multithreaded SQL database (client)
    pcre-8.02          Perl Compatible Regular Expressions library
    perl-5.10.1        Practical Extraction and Report Language
    rate-0.9            A traffic analysis command-line utility
    snort-2.8.6_1      Lightweight network intrusion detection system
    unzoo-4.4_2        A zoo archive extractor



  • beuler?



  • Maybe there was a bug in version 0.96.1, I have the same error.

    Antivirus Server ClamAV 0.96.1/11585/Wed Aug 18 16:27:36 2010 
    HTTP Proxy havp-0.91_1 HTTP Antivirus Proxy

    In the last five minutes I download again and I saw that the version is:

    ClamAV 0.95.1/11586/Wed Aug 18 17:25:30 2010

    Try to download now. Now with the preview version works fine!



  • aye, was able to get it to work but sad state of affairs :(



  • So any news if its fixed or have to still wait cause I had to remove it for it to work. So now don't have antivirus.



  • Is there anyway to install the earlier version?



  • @cougarmaster:

    Is there anyway to install the earlier version?

    Just uninstall 0.91. 0.90 is back in the package server.

    Hope this helps!



  • ^ click on the pkg icon to 'reinstall' in the installed packages menu, the older stable version will replace the new pkg and retain the settings.



  • No it is not reverting back to older version. Tried even manually uninstalling. Any other way? Getting hammered here for upgrading to new version of it.



  • from ssh/console: remove the havp packages (if you see 2 of them ('pkg_info' command) and after that remove any clam packages you see.

    refresh your web console and go to the packages menu, find havp and click install.

    check 'pkg_info' after this and see if the correct version is listed.



  • No idea why but it's still installing the newer version and cannot still revert. I guess its being updated so I'll wait since I cannot reinstall pfsense and its in heavy use now. Hope it gets updated soon and tks for the help :)



  • i can understand, not good at all for a production env

    if you do get the opportunity, try another way… that is to remove all havp packages and clam packages from ssh and then install from ssh (correct version) as per this thread: http://forum.pfsense.org/index.php/topic,23620.0.html


Log in to reply